routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');




Route::resource('kategoris', App\Http\Controllers\KategoriController::class);


Route::resource('produks', App\Http\Controllers\ProdukController::class);
Route::prefix('produks')->group(function () {
    Route::post('/add_stock', [App\Http\Controllers\ProdukController::class, 'add_stock'])->name('produks.add_stock');
    Route::get('/harga_jual/{id}', [App\Http\Controllers\ProdukController::class, 'harga_jual'])->name('produks.harga_jual');
    Route::post('/harga_jual/{id}', [App\Http\Controllers\ProdukController::class, 'update_harga_jual'])->name('produks.harga_jual.update');
});

Route::resource('detailUkuranProduks', App\Http\Controllers\DetailUkuranProdukController::class);


Route::resource('roles', App\Http\Controllers\RoleController::class);


Route::resource('karyawans', App\Http\Controllers\KaryawanController::class);
Route::prefix('karyawan')->group(
    function () {
        Route::get('/login', [App\Http\Controllers\Auth\KaryawanAuthController::class, 'getLogin'])->name('karyawan.login');
        Route::post('/login', [App\Http\Controllers\Auth\KaryawanAuthController::class, 'postLogin'])->name('karyawan.post.login');
        Route::post('/logout', [App\Http\Controllers\Auth\KaryawanAuthController::class, 'postLogout'])->name('karyawan.logout');
    }
);

Route::resource('pelanggans', App\Http\Controllers\PelangganController::class);


Route::resource('tagihanans', App\Http\Controllers\TagihananController::class);


Route::resource('keuanganKeluars', App\Http\Controllers\KeuanganKeluarController::class);
Route::prefix('keuanganKeluars')->group(function () {
    Route::post('/validasi/{id}', [App\Http\Controllers\KeuanganKeluarController::class, 'validasi'])->name('keuanganKeluars.validasi');
});

Route::resource('transaksis', App\Http\Controllers\TransaksiController::class);


Route::resource('detailTransaksis', App\Http\Controllers\DetailTransaksiController::class);


Route::resource('detailPembayarans', App\Http\Controllers\DetailPembayaranController::class);


Route::resource('detailBeliProduks', App\Http\Controllers\DetailBeliProdukController::class);


Route::resource('keranjangs', App\Http\Controllers\KeranjangController::class);
Route::prefix('jurnal_harian')->group(function () {
    Route::get('/', [App\Http\Controllers\JurnalHarianController::class, 'index'])->name('jurnal_harian.index');
    Route::get('/keuangan_masuk', [App\Http\Controllers\JurnalHarianController::class, 'keuangan_masuk'])->name('jurnal_harian.keuangan_masuk');
    Route::post('/', [App\Http\Controllers\JurnalHarianController::class, 'store'])->name('jurnal_harian.store');
});
Route::prefix('laporan')->group(function () {
    Route::get('/', [App\Http\Controllers\LaporanController::class, 'index'])->name('laporan.index');
});

app/Models/DetailUkuranProduk.php
<?php

namespace App\Models;

use Eloquent as Model;

use Illuminate\Database\Eloquent\Factories\HasFactory;

/**
 * Class DetailUkuranProduk
 * @package App\Models
 * @version July 21, 2022, 2:05 pm UTC
 *
 */
class DetailUkuranProduk extends Model
{

    use HasFactory;

    public $table = 'detail_ukuran_produks';




    public $fillable = [];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
        'ukuran' => 'string',
        'stock' => 'integer',
        'harga' => 'string'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'produk_id' => 'required',
        'ukuran' => 'required',
        'harga' => 'nullable'
    ];

    public function getHargaNominal()
    {
        return 'Rp. ' . number_format(($this->harga * $this->detailBeliProduk()->orderBy('updated_at', 'desc')->first()->harga_beli / 100) + $this->detailBeliProduk()->orderBy('updated_at', 'desc')->first()->harga_beli, 0, ',', '.');
    }
    /**
     * Get the produk that owns the DetailUkuranProduk
     *
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function produk()
    {
        return $this->belongsTo(Produk::class, 'produk_id');
    }
    /**
     * Get all of the detailTransaksi for the DetailUkuranProduk
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function detailTransaksi()
    {
        return $this->hasMany(DetailTransaksi::class, 'detail_ukuran_produk_id', 'id');
    }
    public function detailBeliProduk()
    {
        return $this->hasMany(DetailBeliProduk::class, 'detail_ukuran_produk_id', 'id');
    }
    /**
     * Get all of the keranjang for the DetailUkuranProduk
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function keranjang()
    {
        return $this->hasMany(Keranjang::class, 'detail_ukuran_produk_id', 'id');
    }
}

app/Http/Controllers/DetailUkuranProdukController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateDetailUkuranProdukRequest;
use App\Http\Requests\UpdateDetailUkuranProdukRequest;
use App\Http\Controllers\AppBaseController;
use App\Models\DetailUkuranProduk;
use Illuminate\Http\Request;
use Flash;
use Response;

class DetailUkuranProdukController extends AppBaseController
{
    /**
     * Display a listing of the DetailUkuranProduk.
     *
     * @param Request $request
     *
     * @return Response
     */
    public function index(Request $request)
    {
        /** @var DetailUkuranProduk $detailUkuranProduks */
        $detailUkuranProduks = DetailUkuranProduk::all();

        return view('detail_ukuran_produks.index')
            ->with('detailUkuranProduks', $detailUkuranProduks);
    }

    /**
     * Show the form for creating a new DetailUkuranProduk.
     *
     * @return Response
     */
    public function create()
    {
        return view('detail_ukuran_produks.create');
    }

    /**
     * Store a newly created DetailUkuranProduk in storage.
     *
     * @param CreateDetailUkuranProdukRequest $request
     *
     * @return Response
     */
    public function store(CreateDetailUkuranProdukRequest $request)
    {
        $input = $request->all();

        /** @var DetailUkuranProduk $detailUkuranProduk */
        $detailUkuranProduk = DetailUkuranProduk::create($input);

        Flash::success('Detail Ukuran Produk saved successfully.');

        return redirect(route('detailUkuranProduks.index'));
    }

    /**
     * Display the specified DetailUkuranProduk.
     *
     * @param int $id
     *
     * @return Response
     */
    public function show($id)
    {
        /** @var DetailUkuranProduk $detailUkuranProduk */
        $detailUkuranProduk = DetailUkuranProduk::find($id);

        if (empty($detailUkuranProduk)) {
            Flash::error('Detail Ukuran Produk not found');

            return redirect(route('detailUkuranProduks.index'));
        }

        return view('detail_ukuran_produks.show')->with('detailUkuranProduk', $detailUkuranProduk);
    }

    /**
     * Show the form for editing the specified DetailUkuranProduk.
     *
     * @param int $id
     *
     * @return Response
     */
    public function edit($id)
    {
        /** @var DetailUkuranProduk $detailUkuranProduk */
        $detailUkuranProduk = DetailUkuranProduk::find($id);

        if (empty($detailUkuranProduk)) {
            Flash::error('Detail Ukuran Produk not found');

            return redirect(route('detailUkuranProduks.index'));
        }

        return view('detail_ukuran_produks.edit')->with('detailUkuranProduk', $detailUkuranProduk);
    }

    /**
     * Update the specified DetailUkuranProduk in storage.
     *
     * @param int $id
     * @param UpdateDetailUkuranProdukRequest $request
     *
     * @return Response
     */
    public function update($id, UpdateDetailUkuranProdukRequest $request)
    {
        /** @var DetailUkuranProduk $detailUkuranProduk */
        $detailUkuranProduk = DetailUkuranProduk::find($id);

        if (empty($detailUkuranProduk)) {
            Flash::error('Detail Ukuran Produk not found');

            return redirect(route('detailUkuranProduks.index'));
        }

        $detailUkuranProduk->fill($request->all());
        $detailUkuranProduk->save();

        Flash::success('Detail Ukuran Produk updated successfully.');

        return redirect(route('detailUkuranProduks.index'));
    }

    /**
     * Remove the specified DetailUkuranProduk from storage.
     *
     * @param int $id
     *
     * @throws \Exception
     *
     * @return Response
     */
    public function destroy($id)
    {
        /** @var DetailUkuranProduk $detailUkuranProduk */
        $detailUkuranProduk = DetailUkuranProduk::find($id);

        if (empty($detailUkuranProduk)) {
            Flash::error('Detail Ukuran Produk not found');

            return redirect(route('detailUkuranProduks.index'));
        }

        $detailUkuranProduk->delete();

        Flash::success('Detail Ukuran Produk deleted successfully.');

        return redirect(route('detailUkuranProduks.index'));
    }
}

resources/views/detail_ukuran_produks/create.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-12">
                    <h1>Create Detail Ukuran Produk</h1>
                </div>
            </div>
        </div>
    </section>

    <div class="content px-3">

        @include('adminlte-templates::common.errors')

        <div class="card">

            {!! Form::open(['route' => 'detailUkuranProduks.store']) !!}

            <div class="card-body">

                <div class="row">
                    @include('detail_ukuran_produks.fields')
                </div>

            </div>

            <div class="card-footer">
                {!! Form::submit('Save', ['class' => 'btn btn-primary']) !!}
                <a href="{{ route('detailUkuranProduks.index') }}" class="btn btn-default">Cancel</a>
            </div>

            {!! Form::close() !!}

        </div>
    </div>
@endsection

resources/views/detail_ukuran_produks/edit.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-12">
                    <h1>Edit Detail Ukuran Produk</h1>
                </div>
            </div>
        </div>
    </section>

    <div class="content px-3">

        @include('adminlte-templates::common.errors')

        <div class="card">

            {!! Form::model($detailUkuranProduk, ['route' => ['detailUkuranProduks.update', $detailUkuranProduk->id], 'method' => 'patch']) !!}

            <div class="card-body">
                <div class="row">
                    @include('detail_ukuran_produks.fields')
                </div>
            </div>

            <div class="card-footer">
                {!! Form::submit('Save', ['class' => 'btn btn-primary']) !!}
                <a href="{{ route('detailUkuranProduks.index') }}" class="btn btn-default">Cancel</a>
            </div>

            {!! Form::close() !!}

        </div>
    </div>
@endsection

resources/views/detail_ukuran_produks/index.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Detail Ukuran Produks</h1>
                </div>
                <div class="col-sm-6">
                    <a class="btn btn-primary float-right"
                       href="{{ route('detailUkuranProduks.create') }}">
                        Add New
                    </a>
                </div>
            </div>
        </div>
    </section>

    <div class="content px-3">

        @include('flash::message')

        <div class="clearfix"></div>

        <div class="card">
            <div class="card-body p-0">
                @include('detail_ukuran_produks.table')

                <div class="card-footer clearfix">
                    <div class="float-right">
                        
                    </div>
                </div>
            </div>

        </div>
    </div>

@endsection

resources/views/detail_ukuran_produks/show.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Detail Ukuran Produk Details</h1>
                </div>
                <div class="col-sm-6">
                    <a class="btn btn-default float-right"
                       href="{{ route('detailUkuranProduks.index') }}">
                        Back
                    </a>
                </div>
            </div>
        </div>
    </section>

    <div class="content px-3">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    @include('detail_ukuran_produks.show_fields')
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/detail_ukuran_produks/show_fields.blade.php
<!-- Created At Field -->
<div class="col-sm-12">
    {!! Form::label('created_at', 'Created At:') !!}
    <p>{{ $detailUkuranProduk->created_at }}</p>
</div>

<!-- Updated At Field -->
<div class="col-sm-12">
    {!! Form::label('updated_at', 'Updated At:') !!}
    <p>{{ $detailUkuranProduk->updated_at }}</p>
</div>

resources/views/detail_ukuran_produks/table.blade.php
<div class="table-responsive">
    <table class="table" id="detailUkuranProduks-table">
        <thead>
        <tr>
            
            <th colspan="3">Action</th>
        </tr>
        </thead>
        <tbody>
        @foreach($detailUkuranProduks as $detailUkuranProduk)
            <tr>
                
                <td width="120">
                    {!! Form::open(['route' => ['detailUkuranProduks.destroy', $detailUkuranProduk->id], 'method' => 'delete']) !!}
                    <div class='btn-group'>
                        <a href="{{ route('detailUkuranProduks.show', [$detailUkuranProduk->id]) }}"
                           class='btn btn-default btn-xs'>
                            <i class="far fa-eye"></i>
                        </a>
                        <a href="{{ route('detailUkuranProduks.edit', [$detailUkuranProduk->id]) }}"
                           class='btn btn-default btn-xs'>
                            <i class="far fa-edit"></i>
                        </a>
                        {!! Form::button('<i class="far fa-trash-alt"></i>', ['type' => 'submit', 'class' => 'btn btn-danger btn-xs', 'onclick' => "return confirm('Are you sure?')"]) !!}
                    </div>
                    {!! Form::close() !!}
                </td>
            </tr>
        @endforeach
        </tbody>
    </table>
</div>